Loading...
Searching...
No Matches
XrdTlsContextImpl Struct Reference
Collaboration diagram for XrdTlsContextImpl:

## Public Member Functions

| XrdTlsContextImpl (XrdTlsContext *p)
| ~XrdTlsContextImpl ()

## Public Attributes

XrdSysRWLock | crlMutex
bool | crlRunning
SSL_CTX * | ctx
XrdTlsContext * | ctxnew
XrdSysCondVar * | flsCVar
bool | flsRunning
short | flushT
time_t | lastCertModTime = 0
XrdTlsContext * | owner
XrdTlsContext::CTX_Params | Parm
std::string | sessionCacheId
int | sessionCacheOpts = -1

## Detailed Description

Definition at line 54 of file XrdTlsContext.cc.

## Constructor & Destructor Documentation

## XrdTlsContextImpl()

XrdTlsContextImpl::XrdTlsContextImpl | ( | XrdTlsContext * | p | ) |

inline

Definition at line 56 of file XrdTlsContext.cc.

: ctx(0), ctxnew(0), owner(p), flsCVar(0),
flushT(0),
crlRunning(false), flsRunning(false) {}
XrdTlsContextImpl::ctx
SSL_CTX * ctx
Definition XrdTlsContext.cc:65
XrdTlsContextImpl::owner
XrdTlsContext * owner
Definition XrdTlsContext.cc:67
XrdTlsContextImpl::crlRunning
bool crlRunning
Definition XrdTlsContext.cc:72
XrdTlsContextImpl::ctxnew
XrdTlsContext * ctxnew
Definition XrdTlsContext.cc:66
XrdTlsContextImpl::flsCVar
XrdSysCondVar * flsCVar
Definition XrdTlsContext.cc:70
XrdTlsContextImpl::flsRunning
bool flsRunning
Definition XrdTlsContext.cc:73
XrdTlsContextImpl::flushT
short flushT
Definition XrdTlsContext.cc:71

References crlRunning, ctx, ctxnew, flsCVar, flsRunning, flushT, and owner.

## ~XrdTlsContextImpl()

XrdTlsContextImpl::~XrdTlsContextImpl | ( |  | ) |

inline

Definition at line 60 of file XrdTlsContext.cc.

{if (ctx) SSL_CTX_free(ctx);
if (ctxnew) delete ctxnew;
if (flsCVar) delete flsCVar;
}

References ctx, ctxnew, and flsCVar.

## Member Data Documentation

## crlMutex

XrdSysRWLock XrdTlsContextImpl::crlMutex

Definition at line 69 of file XrdTlsContext.cc.

Referenced by XrdTlsFlush::Flusher(), XrdTlsCrl::Refresh(), and XrdTlsFlush::Setup_Flusher().

## crlRunning

bool XrdTlsContextImpl::crlRunning

Definition at line 72 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), XrdTlsFlush::Flusher(), and XrdTlsCrl::Refresh().

## ctx

SSL_CTX* XrdTlsContextImpl::ctx

Definition at line 65 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), ~XrdTlsContextImpl(), XrdTlsFlush::Flusher(), XrdTlsContext::Session(), and XrdTlsFlush::Setup_Flusher().

## ctxnew

XrdTlsContext* XrdTlsContextImpl::ctxnew

Definition at line 66 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), ~XrdTlsContextImpl(), and XrdTlsCrl::Refresh().

## flsCVar

XrdSysCondVar* XrdTlsContextImpl::flsCVar

Definition at line 70 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), ~XrdTlsContextImpl(), XrdTlsFlush::Flusher(), and XrdTlsFlush::Setup_Flusher().

## flsRunning

bool XrdTlsContextImpl::flsRunning

Definition at line 73 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), XrdTlsFlush::Flusher(), XrdTlsCrl::Refresh(), and XrdTlsFlush::Setup_Flusher().

## flushT

short XrdTlsContextImpl::flushT

Definition at line 71 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), XrdTlsFlush::Flusher(), and XrdTlsFlush::Setup_Flusher().

## lastCertModTime

time_t XrdTlsContextImpl::lastCertModTime = 0

Definition at line 74 of file XrdTlsContext.cc.

## owner

XrdTlsContext* XrdTlsContextImpl::owner

Definition at line 67 of file XrdTlsContext.cc.

Referenced by XrdTlsContextImpl(), XrdTlsFlush::Flusher(), and XrdTlsCrl::Refresh().

## Parm

XrdTlsContext::CTX_Params XrdTlsContextImpl::Parm

Definition at line 68 of file XrdTlsContext.cc.

Referenced by XrdTlsCrl::Refresh().

## sessionCacheId

std::string XrdTlsContextImpl::sessionCacheId

Definition at line 76 of file XrdTlsContext.cc.

## sessionCacheOpts

int XrdTlsContextImpl::sessionCacheOpts = -1

Definition at line 75 of file XrdTlsContext.cc.

The documentation for this struct was generated from the following file:

- XrdTlsContext.cc